import bpy


class create_house_list(bpy.types.UIList):

    def draw_item(
        self, context, layout, data, item, icon, active_data, active_propname
    ):

        # draw_item must handle the three layout types... Usually 'DEFAULT' and 'COMPACT' can share the same code.
        if self.layout_type in {"DEFAULT", "COMPACT"}:
            layout.prop(item, "name", emboss=False, icon_value=icon)
            if item.has_chimney:
                layout.prop(
                    item, "has_chimney", text="Yes", emboss=False, icon_value=icon
                )
            else:
                layout.prop(
                    item, "has_chimney", text="No", emboss=False, icon_value=icon
                )
        # 'GRID' layout type should be as compact as possible (typically a single icon!).
        elif self.layout_type == "GRID":
            layout.alignment = "CENTER"
            layout.prop(item, "name", emboss=False, icon_value=icon)
            layout.prop(item, "has_chimney", emboss=False, icon_value=icon)
