import bpy


class create_house_properties(bpy.types.PropertyGroup):

    size: bpy.props.FloatVectorProperty(
        name="Size",
        description="Scale of the house in X, Y, Z dimensions",
        default=(1.0, 1.0, 1.0),  # Default scale in each dimension
        min=0.1,  # Minimum scale value
        max=100.0,  # Maximum scale value
        size=3,  # This ensures it is a 3D vector
        subtype="XYZ",  # Subtype can be 'XYZ' to show the vector in 3 axes
    )

    roof: bpy.props.FloatProperty(
        name="Roof",
        description="Height of the house's roof in meters (m)",
        default=1.0,
        min=0.0,
        max=10.0,
        step=0.1,
    )

    name: bpy.props.StringProperty(name="House Name")

    has_chimney: bpy.props.BoolProperty(name="Chimney?")


class create_house_list_properties(bpy.types.PropertyGroup):

    coll: bpy.props.CollectionProperty(type=create_house_properties)

    index: bpy.props.IntProperty()


# Disable array

#    array_count: bpy.props.IntProperty(
#         name= "Array Count",
#         description="Number of times to duplicate the mesh using the Array modifier",
#         default=3,
#         min=1,  # Minimum 1 duplicate
#         max=20  # Maximum number of duplicates
#     )

#    array_offset: bpy.props.FloatVectorProperty(
#         name="Array Offset",
#         description="Offset for the Array modifier in X, Y, Z",
#         default=(1.5, 0.0, 0.0),
#         size=3,
#         subtype='XYZ'
#     )

#    use_modifier: bpy.props.BoolProperty(
#         name= "Use Array Modifier",
#         description="Whether to use the Array modifier for copying the House",
#         default=True
#     )
